/****************************************************************************
**
** Copyright (C) 2008 Trolltech ASA. All rights reserved.
**
** This file is part of the documentation of Qt.
**
** This file may be used under the terms of the GNU General Public License
** version 2.0 or 3.0 as published by the Free Software Foundation or under
** the terms of the Qt Commercial License Agreement. The respective license
** texts for these are provided with the open source and commercial
** editions of Qt. In addition, as a special exception, Trolltech
** gives you certain additional rights. These rights are described in the
** Trolltech GPL Exception version 1.2, which can be found at
** http://www.trolltech.com/products/qt/gplexception/ and in the file
** GPL_EXCEPTION.txt in the package for the open source edition of Qt.
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided "AS IS" with NO WARRANTY OF ANY KIND,
** INCLUDING THE WARRANTIES OF DESIGN, MERCHANTABILITY AND FITNESS FOR
** A PARTICULAR PURPOSE. Trolltech reserves all rights not expressly
** granted herein.
**
****************************************************************************/

#ifndef COLORDIALOG_H
#define COLORDIALOG_H

#include <QColor>
#include <QVector>
#include <QDialog>

class QSignalMapper;

class ColorDialog : public QDialog
{
    Q_OBJECT

public:
    ColorDialog(const QColor &fg, const QColor &bg, const QVector<QColor> &colors,
                const QStringList &names, QWidget *parent = 0);
    QVector<QColor> colors();
    QColor background();
    QColor foreground();

private slots:
    void createNewColors();
    void selectColor(int index);
    void setBackground();
    void setForeground();

private:
    QIcon createIcon(const QSize &size, const QColor &color);
    void setColorButton(int index, const QColor &color);

    QColor bg;
    QColor fg;
    QVector<QColor> colorList;
    QSignalMapper *mapper;
};

#endif
